> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/thesports-docs/odds-data/odds-update.md).

# Odds update

## Odds update

> Returns the full number of matches with updates and fixes to the odds in the last 60 seconds, as well as the associated odds companies and update time (in reverse order)\<br/>Suggested request frequency:3 seconds/time\<br/>\<br/>Note:\<br/>According to the match id and odds company obtained through this interface, obtain and repair the corresponding company odds data through the 'single match odds' interface

```json
{"openapi":"3.0.1","info":{"title":"Football API","version":"1.0.251028"},"tags":[{"name":"ODDS DATA","description":"ODDS DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/football/odds/update":{"get":{"tags":["ODDS DATA"],"description":"Returns the full number of matches with updates and fixes to the odds in the last 60 seconds, as well as the associated odds companies and update time (in reverse order)<br/>Suggested request frequency:3 seconds/time<br/><br/>Note:<br/>According to the match id and odds company obtained through this interface, obtain and repair the corresponding company odds data through the 'single match odds' interface","summary":"Odds update","operationId":"getOddsUpdate","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"type":"array","items":{"$ref":"#/components/schemas/OddsUpdate"}}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username,please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key,please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"OddsUpdate":{"type":"object","properties":{"id":{"type":"string","description":"Match id"},"company_id":{"type":"integer","description":"Company id,see status code -> Odds Company id for details"},"update_time":{"type":"integer","description":"Update repair time"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/thesports-docs/odds-data/odds-update.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
